%define	name	rules_du_jour
%define	version	1.21
%define	release	1mdk

Summary:	This script updates SpamAssassin RuleSet files from the internet.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://sandgnat.com/rdj/rules_du_jour
Source0:	rules_du_jour.bz2
Requires:	curl
Requires:	spamassassin
Requires:	spamassassin-spamd
Requires:	wget
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
This script updates SpamAssassin RuleSet files from the internet.

%prep

%setup -c -T -n %{name}-%{version}
bzcat %{SOURCE0} > %{name}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/mail/spamassassin/RulesDuJour

cat > RulesDuJour << EOF
TRUSTED_RULESETS="TRIPWIRE EVILNUMBERS SARE_RANDOM"
SA_DIR="%{_sysconfdir}/mail/spamassassin"
SA_RESTART="%{_initrddir}/spamd restart"
#SA_RESTART="svc -du /service/spamd /service/spamd/log"
EOF

install -m0755 %{name} %{buildroot}%{_sbindir}/
ln -s %{_sbindir}/%{name} %{buildroot}%{_sysconfdir}/mail/spamassassin/RulesDuJour/%{name}
ln -s %{_sbindir}/%{name} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -m0644 RulesDuJour %{buildroot}%{_sysconfdir}/sysconfig/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %attr(0755,root,root) %{_sysconfdir}/mail/spamassassin/RulesDuJour
%config(noreplace) %{_sysconfdir}/sysconfig/RulesDuJour
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_sysconfdir}/mail/spamassassin/RulesDuJour/%{name}
%attr(0755,root,root) %{_sysconfdir}/cron.daily/%{name}

%changelog
* Mon Jun 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.21-1mdk
- 1.21

* Mon Aug 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-2mdk
- fix deps

* Mon Aug 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.18-1mdk
- initial mandrake package
